Package org.apache.solr.client.solrj.io.eval

## Class MarkovChainEvaluator.MarkovChain

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.MarkovChainEvaluator.MarkovChain

Enclosing class:
  MarkovChainEvaluator

    public static class MarkovChainEvaluator.MarkovChain
    extends Object

### Constructor Summary

Constructors
`MarkovChain​(Matrix matrix, int state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Number` `sample()`
`int[]` `sample​(int size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkovChain

    public MarkovChain​(Matrix matrix,
                       int state)
                throws IOException

Throws:
  `IOException`

### Method Detail

#### sample

    public Number sample()

#### sample

    public int[] sample​(int size)